#include <stdio.h>
#include <stdlib.h>

int main(){
    int x, n, br=0, maks, mini, br1=0, br2=0,t=0;
    scanf("%d%d",&n,&x);
    int a[n];
    for(int i=0; i<n; i++)
        scanf("%d",&a[i]);
    maks=a[0];
     for(int i=1; i<n; i++)
        if(maks<a[i])
        maks=a[i];
     mini=a[0];
     for(int i=1; i<n; i++)
        if(mini>a[i])
        mini=a[i];
    br=maks-x;
    br1=(x-mini)*2;
    br2=br1+br;
    for(int i=0; i<n; i++)
        if(a[i]<x)
            t++;
    if(t==n)
        printf("%d",br1/2);
    else
    if(t==0)
        printf("%d",br);
    else
        printf("%d",br2);
    }